KUBERNETES(1)

NAME

kubeadm alpha certs renew apiserver - Generates the certificate for serving the Kubernetes API

SYNOPSIS

kubeadm alpha certs renew apiserver [OPTIONS]

DESCRIPTION

Renews the certificate for serving the Kubernetes API, and saves them into apiserver.cert and apiserver.key files.

Extra attributes such as SANs will be based on the existing certificates, there is no need to resupply them.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where to save the certificates

--config=""
    Path to a kubeadm configuration file.

--csr-dir=""
    The path to output the CSRs and private keys to

--csr-only=false
    Create CSRs instead of generating certificates

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--use-api=false
    Use the Kubernetes certificate API to renew certificates

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-alpha-certs-renew(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!